<system>
    log_level warn
  </system>
  <source>
    @type forward
    port 24224
    bind 0.0.0.0
  </source>
  # <match *.efk.nginx>
  #   @type rewrite_tag_filter
  #   <rule>
  #     key source
  #     pattern stdout
  #     tag ${tag}.access
  #   </rule>
  #   <rule>
  #     key source
  #     pattern stderr
  #     tag ${tag}.error
  #   </rule>
  # </match>
  # <filter *.efk.nginx.access>
  #   @type parser
  #   format nginx
  #   key_name log
  # </filter>
  # <filter *.efk.nginx.error>
  #   @type parser
  #   format /^(?<time>\d{4}/\d{2}/\d{2} \d{2}:\d{2}:\d{2}) \[(?<log_level>\w+)\] (?<pid>\d+).(?<tid>\d+): (?<message>.*)/
  #   key_name log
  #   time_format %Y/%m/%d %H:%M:%S
  # </filter>
  <filter *.efk.elasticsearch>
    @type parser
    format /^\[(?<time>\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2},\d{3})\]\[(?<log_level>\w+)\s*\]\[(?<category>(\w|\.)*)\s*\] \[(?<node_name>\w+)\]\s*(?<message>.*$)/
    key_name log
    time_format %Y-%m-%dT%H:%M:%S,%L
  </filter>
  <filter *.efk.kibana>
    @type parser
    format json
    key_name log
    time_key "@timestamp"
    time_format %Y-%m-%dT%H:%M:%SZ
  </filter>
  <match *.**>
    @type copy
    <store>
      @type elasticsearch
      host elasticsearch
      port 9200
      logstash_format true
      logstash_prefix fluentd
      logstash_dateformat %Y%m%d
      include_tag_key true
      type_name access_log
      tag_key @log_name
      flush_interval 5s
    </store>
    <store>
      @type stdout
    </store>
  </match>